Update reservation
POST
/merchants/{merchantCode}/reservations/{reservationCode}
const url = 'https://catalog.shopgate.io/v1/merchants/example/reservations/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"fulfillmentOrderNumber":"someCode","fulfillmentOrderLineItemId":41663,"quantity":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://catalog.shopgate.io/v1/merchants/example/reservations/example \ --header 'Content-Type: application/json' \ --data '{ "fulfillmentOrderNumber": "someCode", "fulfillmentOrderLineItemId": 41663, "quantity": 1 }'Update an existing inventory with fulfillmentOrderNumber, fulfillmentOrderLineItemId and/or quantity
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
reservationCode
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
fulfillmentOrderNumber
string
Example
someCodefulfillmentOrderLineItemId
number
Example
41663quantity
number
Example
1Responses
Section titled “Responses”Successfully updated
Media typeapplication/json
Validation error
Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | array | object
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}Reservation already has fulfillmentOrderNumber
Media typeapplication/json
object
statusCode
number
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "statusCode": 1, "code": "example", "message": "example"}
